Enduro/X - Support #415

endurox-java JNI Class/MethodID/FieldID cache
06/03/2019 09:16 AM - Madars

Status: Closed
Priority: Normal
Assignee:
Category:

Target version:

Start date: 06/03/2019
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description
The resolved resources shall be cached.

That shall be done when java wrapper is loaded (libexjavald.so) or when tmsrv/xa driver loads the libexjava.so.

It shall have a lots of global variables, and some mappings which needs to resolved. Then in loop these shall be resolved/cached.

History

#1 - 06/03/2019 09:17 AM - Madars

http://normanmaurer.me/blog/2014/01/07/JNI-Performance-Welcome-to-the-dark-side/

#2 - 07/22/2019 11:22 AM - Madars
- Status changed from New to Resolved

- % Done changed from 0 to 100

#3 - 07/22/2019 11:22 AM - Madars

- Status changed from Resolved to Closed
